io_queue_release(2)

NAME
io_queue_release - Release the context associated with the userspace handle

SYNOPSIS
#include <errno.h>
#include <libaio.h>

int io_queue_release(io_context_t ctx)

DESCRIPTION
io_queue_release destroys the context associated with the userspace handle. May cancel any outstanding AIOs and block on completion. cts.

RETURN VALUES
On success, io_queue_release returns 0. Otherwise, -error is return, where error is one of the Exxx values defined in the Errors section.

ERRORS

EINVAL
    ctx refers to an unitialized aio context, the iocb pointed to by iocbs contains an improperly initialized iocb,

ENOSYS
    Not implemented

SEE ALSO
io(3), io_cancel(3), io_fsync(3), io_getevents(3), io_prep_fsync(3), io_prep_pread(3), io_prep_pwrite(3), io_queue_init(3), io_queue_run(3), io_queue_wait(3), io_set_callback(3), io_submit(3), errno(3)